Qt 5.8 | Qt 3D | C++ Classes | QStencilTest

Qt 5.8.0 Reference Documentation

# QStencilTest Class

(Qt3DRender::QStencilTest)

The QStencilTest class specifies arguments for the stecil test More...

Header: | #include <QStencilTest>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | StencilTest
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Properties

- back : Qt3DRender::QStencilTestArguments * const
- front : Qt3DRender::QStencilTestArguments * const

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QStencilTest(Qt3DCore::QNode *parent = nullptr)
QStencilTestArguments * | back() const
QStencilTestArguments * | front() const

- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 public slots inherited from Qt3DCore::QNode
- 3 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QStencilTest class specifies arguments for the stecil test

A Qt3DRender::QStencilTest class specifies argument for the stencil test. The stencil test comprises of three arguments: stencil test function, stencil test mask and stencil reference value. QStencilTest allows these arguments to be set for both front- and back-facing polygons separately.

See also Qt3DRender::QStencilMask and Qt3DRender::QStencilOperation.

## Property Documentation

### back : Qt3DRender::QStencilTestArguments * const

Holds the stencil test arguments for back-facing polygons.

Access functions:

QStencilTestArguments * | back() const

### front : Qt3DRender::QStencilTestArguments * const

Holds the stencil test arguments for front-facing polygons.

Access functions:

QStencilTestArguments * | front() const

## Member Function Documentation

### QStencilTest::QStencilTest(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QStencilTest.